From 0e7e37f8e28b960c9f76d7153ebad3087dce1991 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 10 2020 04:41:35 +0000
Subject: [PATCH 1324/2232] Suppress 'consider choosing a more descriptive name' clippy lint in tests


    warning: consider choosing a more descriptive name
       --> tests/ffi/lib.rs:247:30
        |
    247 |         fn r_return_identity(_: usize) -> usize;
        |                              ^
        |
        = note: `#[warn(clippy::just_underscores_and_digits)]` on by default
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#just_underscores_and_digits

    warning: consider choosing a more descriptive name
       --> tests/ffi/lib.rs:248:25
        |
    248 |         fn r_return_sum(_: usize, _: usize) -> usize;
        |                         ^
        |
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#just_underscores_and_digits

    warning: consider choosing a more descriptive name
       --> tests/ffi/lib.rs:248:35
        |
    248 |         fn r_return_sum(_: usize, _: usize) -> usize;
        |                                   ^
        |
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#just_underscores_and_digits

---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 96f9b07..cf8e876 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -1,5 +1,6 @@
 #![allow(
     clippy::boxed_local,
+    clippy::just_underscores_and_digits,
     clippy::ptr_arg,
     clippy::trivially_copy_pass_by_ref
 )]

